Package com.independentsoft.msg

# Enum Class Priority

java.lang.Object
java.lang.Enum<Priority>
com.independentsoft.msg.Priority

All Implemented Interfaces:
  `Serializable`, `Comparable<Priority>`, `Constable`

public enum Priority extends Enum<Priority>
Represents the relative priority of a message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIGH`
  The message is urgent.
  `LOW`
  The message is not urgent.
  `NONE`
  None.
  `NORMAL`
  The message has normal priority.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Priority`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Priority[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOW

    public static final Priority LOW
    The message is not urgent.

  - ### NORMAL

    public static final Priority NORMAL
    The message has normal priority.

  - ### HIGH

    public static final Priority HIGH
    The message is urgent.

  - ### NONE

    public static final Priority NONE
    None.

- ## Method Details

  - ### values

    public static Priority[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Priority valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null